aboutsummaryrefslogtreecommitdiff
path: root/tags/0.5.1/conf
diff options
context:
space:
mode:
authorrhatto <rhatto@04377dda-e619-0410-9926-eae83683ac58>2007-07-24 02:01:18 +0000
committerrhatto <rhatto@04377dda-e619-0410-9926-eae83683ac58>2007-07-24 02:01:18 +0000
commitb28b0bd5f13135d64dca024f629100b3e30d47b2 (patch)
treeb1b8b18d0eb02939964fc610eaba3a6b1e8ca4fe /tags/0.5.1/conf
parent2cb431c8236415e4f4cf24e51e8799c7579dc846 (diff)
downloadsimplepkg-b28b0bd5f13135d64dca024f629100b3e30d47b2.tar.gz
simplepkg-b28b0bd5f13135d64dca024f629100b3e30d47b2.tar.bz2
fixed a bug on 0.5 and tagged as 0.5.1
git-svn-id: svn+slack://slack.fluxo.info/var/svn/simplepkg@407 04377dda-e619-0410-9926-eae83683ac58
Diffstat (limited to 'tags/0.5.1/conf')
-rw-r--r--tags/0.5.1/conf/generic.mkSlackBuild.new250
-rw-r--r--tags/0.5.1/conf/repos.conf.new41
-rw-r--r--tags/0.5.1/conf/simplepkg.conf.new152
3 files changed, 443 insertions, 0 deletions
diff --git a/tags/0.5.1/conf/generic.mkSlackBuild.new b/tags/0.5.1/conf/generic.mkSlackBuild.new
new file mode 100644
index 0000000..6b5473e
--- /dev/null
+++ b/tags/0.5.1/conf/generic.mkSlackBuild.new
@@ -0,0 +1,250 @@
+###################################################
+## Generic template for SlackBuilds
+##
+## Version 0.8.1 - Luis ( luis at riseup d0t net)
+##
+###################################################
+<head> all
+#!/bin/bash
+#
+# SlackBuild for [[PROGRAM NAME]]
+# [[PROGRAM URL]]
+#
+# Author: [[SLACKBUILD AUTHOR]]
+#
+</head>
+
+<slackbuildrc> all
+# Look for slackbuildrc
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+</slackbuildrc>
+
+<set_variables> all
+# Set variables
+CWD="$(pwd)"
+SRC_NAME="[[SOURCE NAME]]"
+PKG_NAME="[[PACKAGE NAME]]"
+ARCH=${ARCH:=[[ARCH]]}
+SRC_VERSION=${VERSION:=[[VERSION]]}
+PKG_VERSION="$(echo "$SRC_VERSION" | tr '[[:blank:]-]' '_')"
+BUILD=${BUILD:=1[[SLACKBUILD AUTHOR INITIALS]]}
+SRC_DIR=${SRC_DIR:=$CWD}/$PKG_NAME
+TMP=${TMP:=/tmp}
+PKG=${PKG:=$TMP/package-$PKG_NAME}
+REPOS=${REPOS:=$TMP}
+PREFIX=${PREFIX:=[[PREFIX]]}
+PKG_SRC="$TMP/$SRC_NAME-$SRC_VERSION"
+CONF_OPTIONS=${CONF_OPTIONS:=[[OTHER CONFIGURE ARGS]]}
+NUMJOBS=${NUMJOBS:="-j4"}
+</set_variables>
+
+<slkflags> all
+# Set system libraries' path and optmization flags based on $ARCH
+LIBDIR="$PREFIX/lib"
+
+if [ "$ARCH" = "i386" ]; then
+ SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
+elif [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIR="$PREFIX/lib64"
+fi
+</slkflags>
+
+<error_codes> on
+# Set error codes (used by createpkg)
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40; ERROR_VCS=41; ERROR_MKDIR=42
+</error_codes>
+
+<start_structure> all
+# Clean up any leftovers of previous builds
+rm -rf "$PKG_SRC" 2> /dev/null
+rm -rf "$PKG" 2> /dev/null
+
+# Create directories if necessary
+mkdir -p "$SRC_DIR" || exit $ERROR_MKDIR
+mkdir -p "$PKG" || exit $ERROR_MKDIR
+mkdir -p "$REPOS" || exit $ERROR_MKDIR
+</start_structure>
+
+<download_source> on
+# Dowload source if necessary
+SRC="$SRC_NAME-$SRC_VERSION.tar.[[SOURCE EXTENSION]]"
+URL="[[DOWNLOAD FOLDER URL]]/$SRC"
+
+if [ ! -s "$SRC_DIR/$SRC" ] || ! [[DECOMPRESSOR]] [[DECOMPRESSOR TEST FLAG]] "$SRC_DIR/$SRC" 2> /dev/null; then
+ wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
+fi
+</download_source>
+
+<md5sum_download_and_check> off
+# Download source's MD5 checksum if necessary and check it
+if [ ! -s "$SRC_DIR/$SRC.[[MD5SUM EXTENSION]]" ]; then
+ wget "$URL.[[MD5SUM EXTENSION]]" -O "$SRC_DIR/$SRC.[[MD5SUM EXTENSION]]" || exit $ERROR_WGET
+fi
+
+MD5SUM_SRC="$(md5sum "$SRC_DIR/$SRC" | cut -d " " -f 1)"
+MD5SUM_URL="$(grep "$SRC[ \t]*$" "$SRC_DIR/$SRC.[[MD5SUM EXTENSION]]" | cut -d " " -f 1)"
+
+[ "$MD5SUM_SRC" == "$MD5SUM_URL" ] || exit $ERROR_MD5
+</md5sum_download_and_check>
+
+<gpg_signature_check> off
+# Import minimized signing key from
+# [[SIGNING KEY URL]]
+gpg --import << EOKEY || exit $ERROR_GPG
+[[SIGNING KEY]]
+EOKEY
+
+# Dowload source's signature if necessary and check it
+if [ ! -s "$SRC_DIR/$SRC.sig" ]; then
+ wget "$URL.sig" -O "$SRC_DIR/$SRC.sig" || exit $ERROR_WGET
+fi
+
+gpg --verify "$SRC_DIR/$SRC.sig" "$SRC_DIR/$SRC" || exit $ERROR_GPG
+</gpg_signature_check>
+
+<untar_source> all
+# Untar
+cd "$TMP"
+tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" || exit $ERROR_TAR
+cd "$PKG_SRC"
+</untar_source>
+
+<path_source> off
+# Patch source
+patches="[[PATCH FILES]]
+ $PKG_NAME.diff $PKG_NAME-$PKG_VERSION.diff
+ $PKG_NAME-$PKG_VERSION-$ARCH.diff $PKG_NAME-$ARCH.diff"
+for patch in $patches; do
+ if [ -f "$CWD/$patch" ]; then
+ patch -Np[[NUMBER OF PREFIX SLASHES TO STRIP]] < "$CWD/$patch" || exit $ERROR_PATCH
+ elif [ -f "$CWD/patches/$patch" ]; then
+ patch -Np[[NUMBER OF PREFIX SLASHES TO STRIP]] < "$CWD/patches/$patch" || exit $ERROR_PATCH
+ fi
+done
+</path_source>
+
+<configure> on
+# Configure
+CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix="$PREFIX" --libdir="$LIBDIR" "$CONF_OPTIONS" || exit $ERROR_CONF
+</configure>
+
+<make_package> all
+# Compile
+make $NUMJOBS || exit $ERROR_MAKE
+</make_package>
+
+<install_package> all
+# Install
+make install DESTDIR="$PKG" || exit $ERROR_INSTALL
+</install_package>
+
+<strip_binaries> on
+# Strip binaries
+( cd "$PKG"
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+</strip_binaries>
+
+<compress_manpages> off
+# Compress and link manpages
+if [ -d "$PKG/$PREFIX/man" ]; then
+ ( cd "$PKG/$PREFIX/man"
+ for manpagedir in $(find . -type d -name "man*") ; do
+ ( cd $manpagedir
+ for eachpage in $( find . -type l -maxdepth 1) ; do
+ ln -s $( readlink $eachpage ).gz $eachpage.gz
+ rm $eachpage
+ done
+ gzip -9 *.?
+ )
+ done
+ )
+fi
+</compress_manpages>
+
+<compress_info_files> off
+# Compress info files
+if [ -d "$PKG/$PREFIX/info" ]; then
+ ( cd "$PKG/$PREFIX/info"
+ rm -f dir
+ gzip -9 *
+ )
+fi
+</compress_info_files>
+
+<install_documentation> on
+# Install documentation
+DOCS="[[DOCUMENTATION FILES]]"
+mkdir -p "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION" || exit $ERROR_MKDIR
+cp -a $DOCS "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION"
+</install_documentation>
+
+<slackdesc> on
+# Add package description (slack-desc)
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+cat << EODESC > "$PKG/install/slack-desc"
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+[[SLACK-DESC]]
+EODESC
+</slackdesc>
+
+<postinstall_script> off
+# Add a post-installation script (doinst.sh)
+cat << EOSCRIPT > "$PKG/install/doinst.sh"
+config() {
+ NEW="\$1"
+ OLD="\$(dirname \$NEW)/\$(basename \$NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r \$OLD ]; then
+ mv \$NEW \$OLD
+ elif [ "\$(cat \$OLD | md5sum)" = "\$(cat \$NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm \$NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config path/to/config_file.new
+[[REST OF DOINST.SH]]
+EOSCRIPT
+</postinstall_script>
+
+<build_package> all
+# Build the package
+cd "$PKG"
+makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
+</build_package>
+
+<clean_builds> on
+# Delete source and build directories if requested
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf "$PKG_SRC" "$PKG"
+fi
+</clean_builds>
diff --git a/tags/0.5.1/conf/repos.conf.new b/tags/0.5.1/conf/repos.conf.new
new file mode 100644
index 0000000..1d77419
--- /dev/null
+++ b/tags/0.5.1/conf/repos.conf.new
@@ -0,0 +1,41 @@
+#
+# repository definitions for simplaret
+# please dont use any spaces inside a repository definition
+#
+
+# root repositories
+ROOT-i386="tds%http://slackware.mirrors.tds.net/pub/slackware/"
+ROOT-i386="sarava%http://slack.sarava.org/slackware/"
+ROOT-x86_64="sarava%http://slack.sarava.org/slamd64/"
+ROOT-x86_64="slackadelic%http://mirror1.slackadelic.com/slamd64/"
+ROOT-x86_64="heanet%http://ftp.heanet.ie/pub/slamd64/"
+ROOT-powerpc="workaround%http://slackintosh.workaround.ch/pub/slackintosh/"
+ROOT-s390="ibiblio%http://distro.ibiblio.org/pub/linux/distributions/slack390/"
+
+# noarch
+NOARCH="sarava%http://slack.sarava.org/packages/noarch"
+
+# i386 10.2
+REPOS-i386-10.2="sarava%http://slack.sarava.org/packages/slackware/slackware-10.2/"
+PATCHES-i386-10.2="sarava%http://slack.sarava.org/packages/slackware/slackware-10.2/patches/"
+
+# x86_64 10.2
+REPOS-x86_64-10.2="sarava%http://slack.sarava.org/packages/slamd64/slamd64-10.2/"
+PATCHES-x86_64-10.2="sarava%http://slack.sarava.org/packages/slamd64/slamd64-10.2/patches/"
+
+# x86_64 10.2b
+REPOS-x86_64-10.2b="sarava%http://slack.sarava.org/packages/slamd64/slamd64-10.2b/"
+PATCHES-x86_64-10.2b="sarava%http://slack.sarava.org/packages/slamd64/slamd64-10.2b/patches/"
+
+# i386 11.0
+REPOS-i386-11.0="sarava%http://slack.sarava.org/packages/slackware/slackware-11.0/"
+PATCHES-i386-11.0="sarava%http://slack.sarava.org/packages/slackware/slackware-11.0/patches/"
+
+# x86_64 11.0
+REPOS-x86_64-11.0="sarava%http://slack.sarava.org/packages/slamd64/slamd64-11.0/"
+PATCHES-x86_64-11.0="sarava%http://slack.sarava.org/slamd64/slamd64-11.0/patches/"
+
+# powerpc 11.0
+REPOS-powerpc-11.0="sarava%http://slack.sarava.org/packages/slackintosh/slackintosh-11.0/"
+PATCHES-powerpc-11.0="workaround%http://slackintosh.workaround.ch/pub/slackintosh/11.0/patches/"
+
diff --git a/tags/0.5.1/conf/simplepkg.conf.new b/tags/0.5.1/conf/simplepkg.conf.new
new file mode 100644
index 0000000..50ea4ad
--- /dev/null
+++ b/tags/0.5.1/conf/simplepkg.conf.new
@@ -0,0 +1,152 @@
+#
+# /etc/simplepkg/simplepkg.conf
+#
+
+# Default architecture: set this option if you dont want simplepkg
+# to use the value from /etc/slackware-version
+# DEFAULT_ARCH="i386"
+
+# Default version: set this option if you dont want simplepkg;
+# to use the value from /etc/slackware-version
+# DEFAULT_VERSION="11.0"
+
+# Where jails are placed
+JAIL_ROOT="/vservers"
+
+# Wheter mkjial should add new jails in the jail list;
+# to enable it, set to "1" or "yes"
+ADD_TO_JAIL_LIST="1"
+
+# Whether mkjail should clean the package cache before installation
+# to enable it, set to "1" or "yes"
+SIMPLARET_CLEAN="1"
+
+# whether mkjail should clean the package cache after the installation;
+# to enable it, set to "1" or "yes"
+SIMPLARET_DELETE_DOWN="1"
+
+# Whether mkjail should issue a simplaret --update before install the jail;
+# to enable it, set to "1" or "yes"
+SIMPLARET_UPDATE="1"
+
+# Wheter try to download from the next repository on failed download.
+SIMPLARET_DOWNLOAD_FROM_NEXT_REPO="1"
+
+# Wheter delete also patches when simplaret --purge is called;
+# to enable it, set to "1" or "yes"
+SIMPLARET_PURGE_PATCHES="1"
+
+# Whether delete each package rigth after its installation;
+# to enable it, set to "1" or "yes"
+SIMPLARET_DELETE_DURING="0"
+
+# Delete packages older than N weeks from the cache
+SIMPLARET_PURGE_WEEKS="3"
+
+# Where patches are placed
+PATCHES_DIR="/var/simplaret/patches"
+
+# Place to store your packages
+STORAGE="/var/simplaret/packages"
+
+# Whether to use passive ftp transfers;
+# to enable it, set to "1" or "yes"
+PASSIVE_FTP="1"
+
+# Http retrieval tool;
+# available parameters are "wget" or "curl"
+HTTP_TOOL="curl"
+
+# Ftp retrieval tool;
+# available parameters are "wget", "curl" or "ncftpget"
+FTP_TOOL="curl"
+
+# Set connection timeout in seconds
+CONNECT_TIMEOUT="20"
+
+# ROOT repository package priority
+ROOT_PRIORITY="patches slackware extra testing pasture"
+
+# REPOS repository package priority
+REPOS_PRIORITY="patches slackware extra testing pasture"
+
+# Whether to check package signatures (you should have the repository
+# maintainer key on your keyring)
+SIGNATURE_CHECKING="0"
+
+# Whether simplaret will try to solve dependencies by looking
+# for packages' slack-required
+DEPENDENCY_CHECKING="1"
+
+# Enabling this option (i.e, setting to "1" or "yes"), simplaret will
+# donwload even # already applied patches, a good option when you plan
+# to keep local copies of all needed patches for your system
+DOWNLOAD_EVEN_APPLIED_PATCHES="0"
+
+# Enabling this option (i.e, setting to "1" or "yes"), simplaret will
+# look at your standard repositories for new packages; if it find a
+# package with different version of your current installed package and
+# also this package isnt in the packages folder, then the new package
+# is applied; if in doubt, just say no or leave blank. Otherwise set it
+# either to "yes" or "1" and remember that if enabling this feature can
+# cause problems if you use more than one REPOS definition for each
+# ARCH and VERSION. Also, this option can be very slow.
+CONSIDER_ALL_PACKAGES_AS_PATCHES="0"
+
+# Enabling this option (i.e, setting to "1" or "yes"), simplaret will
+# store patches it finds on ROOT repositories on
+#
+# $PATCHES_DIR/$ARCH/$VERSION/root-$repository_name.
+#
+# By default this option is turned off because it breaks the standard
+# way to store packages and can cause some confusion, but its an useful
+# feature if you like to see all patches apart from common packages and/or
+# stored in the same tree.
+STORE_ROOT_PATCHES_ON_PATCHES_DIR="0"
+
+# Set to yes if your templates will be placed in a subversion repository
+# This just work if TEMPLATE_STORAGE_STYLE is set to own-folder (default)
+TEMPLATES_UNDER_SVN="no"
+
+# Where your templates will be located.
+# Dont change it except you know what you're doing.
+TEMPLATE_FOLDER="/etc/simplepkg/templates"
+
+# This variable controls in which folder / subfolder your templates will
+# be stored. Possible values are:
+#
+# - simplepkg-folder: templates are stored at /etc/simplepkg
+# - templates-folder: templates are stored at /etc/simplepkg/templates
+# - own-folder: each template stored at its own folder
+# at /etc/simplepkg/templates/template-name
+#
+# This variable has backwards purposes only, so dont change it.
+TEMPLATE_STORAGE_STYLE="own-folder"
+
+#---------------------------------------------------------------------
+# MKBUILD AND CREATEPKG SECTION
+#---------------------------------------------------------------------
+# Set SlackBuilds default directory from scripts
+SLACKBUILDS_DIR="/var/slackbuilds"
+
+# Set binaries default repository directory
+#MAKEPKG_REPOS="/var/createpkg"
+
+# Set sources default directory
+#SOURCE_DIR="/var/sources"
+
+# Set color style
+# possible values are: color,gray, none
+#COLOR_MODE="none"
+
+# Remove old packages from repository tree by createpkg
+# 0 enable
+# 1 desable
+#REMOVE_OLD_PACKAGE=1
+
+# Move package to SlackBuilds-like tree
+# 0 enable
+# 1 desable
+#MOVE_BIN_PACKAGE=1
+
+#---------------------------------------------------------------------